# Python bindings to the OpenStack Key Management API (Barbican)

This is a client for OpenStack Key Management API (Barbican). There’s a Python API (the barbicanclient module), and a command-line interface (installed as barbican).

Contents:

- Installation
- User Documentation
  - CLI Usage
  - Authentication
  - CLI Authentication
  - Client Usage
  - Key Manager service (barbican) command-line client
- Contributor Documentation
  - Contributing
  - Writing and Running Barbican Client Tests
- Reference
  - Client
  - Secrets
  - Orders
  - Containers
  - Certificate Authorities
  - ACLs
  - Exceptions

Indices and tables

- Index

- Module Index

- Search Page

this page last updated: 2026-03-26 20:54:44

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug